Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class FrenchStemmer

    java.lang.Object
      org.apache.lucene.analysis.fr.FrenchStemmer

    public class FrenchStemmer

extends Object

A stemmer for French words. The algorithm is based on the work of Dr Martin Porter on his snowball project
refer to http://snowball.sourceforge.net/french/stemmer.html
(French stemming algorithm) for details

Constructor Summary
`FrenchStemmer()`

Method Summary
`protected String` | `stem(String term)` Stemms the given term to a unique `discriminator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchStemmer

    public FrenchStemmer()

Method Detail

### stem

    protected String stem(String term)

  Stemms the given term to a unique `discriminator`.

  Parameters:
    `term` - java.langString The term that should be stemmed
  Returns:
    java.lang.String Discriminator for `term`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.